| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
tif_write.c File Reference
`#include "tiffiop.h"`
`#include <stdio.h>`

Go to the source code of this file.

## Macros
#define | STRIPINCR 20 /* expansion factor on strip array */
#define | WRITECHECKSTRIPS(tif, module) (((tif)->tif_flags&TIFF_BEENWRITING) || TIFFWriteCheck((tif),0,module))
#define | WRITECHECKTILES(tif, module) (((tif)->tif_flags&TIFF_BEENWRITING) || TIFFWriteCheck((tif),1,module))
#define | BUFFERCHECK(tif)
#define | isUnspecified(tif, f) (TIFFFieldSet(tif,f) && (tif)->tif_dir.td_imagelength == 0)

## Functions
int | TIFFWriteScanline (TIFF *tif, tdata_t buf, uint32 row, tsample_t sample)
tsize_t | TIFFWriteEncodedStrip (TIFF *tif, tstrip_t strip, tdata_t data, tsize_t cc)
tsize_t | TIFFWriteRawStrip (TIFF *tif, tstrip_t strip, tdata_t data, tsize_t cc)
tsize_t | TIFFWriteTile (TIFF *tif, tdata_t buf, uint32 x, uint32 y, uint32 z, tsample_t s)
tsize_t | TIFFWriteEncodedTile (TIFF *tif, ttile_t tile, tdata_t data, tsize_t cc)
tsize_t | TIFFWriteRawTile (TIFF *tif, ttile_t tile, tdata_t data, tsize_t cc)
int | TIFFSetupStrips (TIFF *tif)
int | TIFFWriteCheck (TIFF *tif, int tiles, const char *module)
int | TIFFWriteBufferSetup (TIFF *tif, tdata_t bp, tsize_t size)
int | TIFFFlushData1 (TIFF *tif)
void | TIFFSetWriteOffset (TIFF *tif, toff_t off)

## Macro Definition Documentation

#define BUFFERCHECK | ( |  | tif | ) |

Value:
((((tif)->tif_flags & TIFF_BUFFERSETUP) && tif->tif_rawdata) || \
TIFFWriteBufferSetup((tif), NULL, (tsize_t) -1))
tsize_t
int32 tsize_t
Definition: tiffio.h:67
TIFFWriteBufferSetup
int TIFFWriteBufferSetup(TIFF *tif, tdata_t bp, tsize_t size)
Definition: tif_write.c:546
TIFF_BUFFERSETUP
#define TIFF_BUFFERSETUP
Definition: tiffiop.h:110

Definition at line 41 of file tif_write.c.

#define isUnspecified | ( |  | tif,
|  |  | f
| ) |  | (TIFFFieldSet(tif,f) && (tif)->tif_dir.td_imagelength == 0)

Definition at line 439 of file tif_write.c.

#define STRIPINCR 20 /* expansion factor on strip array */

Definition at line 35 of file tif_write.c.

#define WRITECHECKSTRIPS | ( |  | tif,
|  |  | module
| ) |  | (((tif)->tif_flags&TIFF_BEENWRITING) || TIFFWriteCheck((tif),0,module))

Definition at line 37 of file tif_write.c.

#define WRITECHECKTILES | ( |  | tif,
|  |  | module
| ) |  | (((tif)->tif_flags&TIFF_BEENWRITING) || TIFFWriteCheck((tif),1,module))

Definition at line 39 of file tif_write.c.

## Function Documentation

int TIFFFlushData1 | ( | TIFF * | tif | ) |

Definition at line 682 of file tif_write.c.

int TIFFSetupStrips | ( | TIFF * | tif | ) |

Definition at line 443 of file tif_write.c.

void TIFFSetWriteOffset | ( | TIFF * | tif,
|  | toff_t | off
| ) |  |

Definition at line 706 of file tif_write.c.

int TIFFWriteBufferSetup | ( | TIFF * | tif,
|  | tdata_t | bp,
|  | tsize_t | size
| ) |  |

Definition at line 546 of file tif_write.c.

int TIFFWriteCheck | ( | TIFF * | tif,
|  | int | tiles,
|  | const char * | module
| ) |  |

Definition at line 483 of file tif_write.c.

tsize_t TIFFWriteEncodedStrip | ( | TIFF * | tif,
|  | tstrip_t | strip,
|  | tdata_t | data,
|  | tsize_t | cc
| ) |  |

Definition at line 182 of file tif_write.c.

tsize_t TIFFWriteEncodedTile | ( | TIFF * | tif,
|  | ttile_t | tile,
|  | tdata_t | data,
|  | tsize_t | cc
| ) |  |

Definition at line 336 of file tif_write.c.

tsize_t TIFFWriteRawStrip | ( | TIFF * | tif,
|  | tstrip_t | strip,
|  | tdata_t | data,
|  | tsize_t | cc
| ) |  |

Definition at line 264 of file tif_write.c.

tsize_t TIFFWriteRawTile | ( | TIFF * | tif,
|  | ttile_t | tile,
|  | tdata_t | data,
|  | tsize_t | cc
| ) |  |

Definition at line 423 of file tif_write.c.

int TIFFWriteScanline | ( | TIFF * | tif,
|  | tdata_t | buf,
|  | uint32 | row,
|  | tsample_t | sample
| ) |  |

Definition at line 49 of file tif_write.c.

tsize_t TIFFWriteTile | ( | TIFF * | tif,
|  | tdata_t | buf,
|  | uint32 | x,
|  | uint32 | y,
|  | uint32 | z,
|  | tsample_t | s
| ) |  |

Definition at line 308 of file tif_write.c.